[23471] in Source-Commits
/svn/athena r23117 - in trunk/debathena/third: common cyrus-sasl2-mit openafs
daemon@ATHENA.MIT.EDU (ghudson@MIT.EDU)
Fri Aug 1 13:06:15 2008
Date: Fri, 1 Aug 2008 13:05:59 -0400 (EDT)
From: ghudson@MIT.EDU
Message-Id: <200808011705.NAA06985@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: ghudson
Date: 2008-08-01 13:05:58 -0400 (Fri, 01 Aug 2008)
New Revision: 23117
Modified:
trunk/debathena/third/common/debathenificator.sh
trunk/debathena/third/cyrus-sasl2-mit/debathenify-cyrus-sasl2-mit
trunk/debathena/third/openafs/debathenify-openafs
Log:
In debathenificator and the standalone debathenify scripts, exit with
status 3 if "apt-get update" fails in the chroot. This will allow
autodebathenify to distinguish the most common transient failure case
from actual build failures. It's not perfect; if apt-get update
fails inside sbuild we'll still exit with status 1.
Modified: trunk/debathena/third/common/debathenificator.sh
===================================================================
--- trunk/debathena/third/common/debathenificator.sh 2008-07-29 17:43:46 UTC (rev 23116)
+++ trunk/debathena/third/common/debathenificator.sh 2008-08-01 17:05:58 UTC (rev 23117)
@@ -26,7 +26,7 @@
sch() { schroot -r -c "$sid" -- "$@"; } # Run in the chroot
schq() { schroot -q -r -c "$sid" -- "$@"; } # Run in the chroot quietly
schr() { schroot -r -c "$sid" -u root -- "$@"; } # Run in the chroot as root
-schr apt-get -qq -y update
+schr apt-get -qq -y update || exit 3
munge_sections () {
perl -0pe "s/^Section: /Section: $section\\//gm or die" -i debian/control
Modified: trunk/debathena/third/cyrus-sasl2-mit/debathenify-cyrus-sasl2-mit
===================================================================
--- trunk/debathena/third/cyrus-sasl2-mit/debathenify-cyrus-sasl2-mit 2008-07-29 17:43:46 UTC (rev 23116)
+++ trunk/debathena/third/cyrus-sasl2-mit/debathenify-cyrus-sasl2-mit 2008-08-01 17:05:58 UTC (rev 23117)
@@ -42,7 +42,7 @@
sch() { schroot -r -c "$sid" -- "$@"; } # Run in the chroot
schq() { schroot -q -r -c "$sid" -- "$@"; } # Run in the chroot quietly
schr() { schroot -r -c "$sid" -u root -- "$@"; } # Run in the chroot as root
-schr apt-get -qq -y update
+schr apt-get -qq -y update || exit 3
name=cyrus-sasl2-mit
daversionappend=$(dpkg-parsechangelog -l$(dirname "$0")/debian/changelog |
Modified: trunk/debathena/third/openafs/debathenify-openafs
===================================================================
--- trunk/debathena/third/openafs/debathenify-openafs 2008-07-29 17:43:46 UTC (rev 23116)
+++ trunk/debathena/third/openafs/debathenify-openafs 2008-08-01 17:05:58 UTC (rev 23117)
@@ -39,7 +39,7 @@
sch() { schroot -r -c "$sid" -- "$@"; } # Run in the chroot
schq() { schroot -q -r -c "$sid" -- "$@"; } # Run in the chroot quietly
schr() { schroot -r -c "$sid" -u root -- "$@"; } # Run in the chroot as root
-schr apt-get -qq -y update
+schr apt-get -qq -y update || exit 3
# Get all of the packages named linux-image-*. This list includes
# three types of packages: